<?php

namespace App\Models;

use DateTime;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

/**
 * Class MeasureLevel.
 *
 * @property int           $id
 * @property Evaluation    $evaluation
 * @property int           $evaluation_id
 * @property Measure       $measure
 * @property int           $measure_id
 * @property int|null      $actual_level
 * @property int|null      $expected_level
 * @property DateTime|null $end_date
 * @property string|null   $manager
 */
class MeasureLevel extends Model
{
    use HasFactory;

    public function evaluation(): BelongsTo
    {
        return $this->belongsTo(Evaluation::class);
    }

    public function measure(): BelongsTo
    {
        return $this->belongsTo(Measure::class);
    }
}
