<?php

namespace Database\Seeders;

use App\Models\Measure;
use Illuminate\Database\Seeder;
use Illuminate\Support\Str;

class MeasureSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {

        Measure::firstOrCreate([
            'name' => 'Quelles sont les politiques de mots de passe ?',
            'short_name' => 'Mots de passe',
            'level1_difficulty' => 1,
            'level2_difficulty' => 1,
            'level3_difficulty' => 1,
            'level1_cost' => '0',
            'level2_cost' => '0',
            'level3_cost' => '0',
            'level1_duration' => '20 minutes',
            'level2_duration' => '30 minutes/poste',
            'level3_duration' => '1J',
            'level1_assistance' => 1,
            'level2_assistance' => 1,
            'level3_assistance' => 2,
            'level0_actual_label' => 'Aucune ou ne sait pas',
            'level1_actual_label' => 'Le mot de passe personnel de session Windows comprend 9 caractères.',
            'level2_actual_label' => 'Les mots de passe de session Windows et de messagerie comprennent 12 caractères.',
            'level3_actual_label' => 'Le mot de passe de session Windows est de qualité et associé à un compte sans privilèges.',
            'level1_preconized_label' => "Disposer d'un mot de passe personnel de session Windows comprenant 9 caractères.",
            'level2_preconized_label' => "Disposer d'un mot de passe de session Windows et de messagerie comprenant 12 caractères.",
            'level3_preconized_label' => "Créer un mot de passe de session Windows de qualité et disposer d'un compte sans privilèges.",
            'level1_description' => "La collectivité s'assure : <ul><li>que chaque utilisateur dispose d'un mot de passe de connexion Windows personnel comprenant 9 caractères (chiffre, minuscule, majuscule, caractères spéciaux).</li></ul>",
            'level2_description' => "La collectivité s'assure : <ul><li>que chaque utilisateur dispose d'un mot de passe Windows personnel et de messagerie distinct comprenant 12 caractères (chiffre, minuscule, majuscule, caractères spéciaux) et changement tous les 2 ans.</li></ul>",
            'level3_description' => "La collectivité s'assure : <ul><li>que chaque utilisateur dispose d'un mot de passe personnel pour la session Windows avec un compte sans privilèges (utilisateur).</li><li>que le mot de passe de la session doit comprendre au moins 12 caractères (chiffres, minuscules, majuscules, caractères spéciaux) et changement tous les 2 ans.</li></ul>",
            'level1_info' => '',
            'level2_info' => 'Le mot de passe de la session Windows et celui de la messagerie doivent être différents.',
            'level3_info' => '',
            'level1_file' => null,
            'level2_file' => null,
            'level3_file' => null,
            'level0_value' => 0,
            'level1_value' => 90,
            'level2_value' => 140,
            'level3_value' => 200,
            'fundamental' => true,
        ]);


        Measure::firstOrCreate([
            'name' => 'Comment les sauvegardes sont-elle gérées ?',
            'short_name' => 'Sauvegardes',
            'level1_difficulty' => 1,
            'level2_difficulty' => 1,
            'level3_difficulty' => 2,
            'level1_cost' => '100-750€ pour un DDE ou NAS configuré',
            'level2_cost' => '100-750€ pour un DDE ou NAS configuré',
            'level3_cost' => '0',
            'level1_duration' => '1,5J',
            'level2_duration' => '',
            'level3_duration' => '1J',
            'level1_assistance' => 2,
            'level2_assistance' => 2,
            'level3_assistance' => 3,
            'level0_actual_label' => 'Aucune ou ne sait pas',
            'level1_actual_label' => 'Il y a une sauvegarde régulière sur un support externe',
            'level2_actual_label' => 'Une sauvegarde est externalisée',
            'level3_actual_label' => 'Un test de restauration de sauvegarde est réalisé annuellement',
            'level1_preconized_label' => 'Sauvegarder régulièrement sur un support externe',
            'level2_preconized_label' => 'Externaliser une sauvegarde',
            'level3_preconized_label' => 'Tester annuellement une restauration de sauvegarde',
            'level1_description' => 'La collectivité possède : <ul><li>Une sauvegarde régulière sur un support externe et une copie réalisée sur un autre support.</li></ul>',
            'level2_description' => 'La collectivité possède : <ul><li>une sauvegarde manuelle régulière sur deux supports différents. - une des sauvegardes est externalisée.</li></ul>',
            'level3_description' => "La collectivité s'assure : <ul><li>qu'une fois par an un test de restauration technique est réalisé.</li></ul>",
            'level1_info' => 'Si vous disposez d’un logiciel de sauvegarde, les sauvegardes seront facilitées et prendront moins de temps.',
            'level2_info' => 'Le coût varie selon le type de matériel choisi (disque dur externe ou NAS avec configuration)',
            'level3_info' => '',
            'level1_file' => null,
            'level2_file' => null,
            'level3_file' => null,
            'level0_value' => 0,
            'level1_value' => 90,
            'level2_value' => 140,
            'level3_value' => 200,
            'fundamental' => true,
        ]);


        Measure::firstOrCreate([
            'name' => 'Comment les mises à jour sont-elles gérées ?',
            'short_name' => 'MAJ',
            'level1_difficulty' => '1',
            'level2_difficulty' => '1',
            'level3_difficulty' => '1',
            'level1_cost' => '0-1500€/poste',
            'level2_cost' => '0',
            'level3_cost' => '0',
            'level1_duration' => '4h',
            'level2_duration' => '15min/poste',
            'level3_duration' => '15min/poste',
            'level1_assistance' => '2',
            'level2_assistance' => '1',
            'level3_assistance' => '1',
            'level0_actual_label' => 'Aucune ou ne sait pas',
            'level1_actual_label' => 'Il y a une automatisation des mises à jour Windows et les postes obsolètes sont remplacés.',
            'level2_actual_label' => 'Il y a une automatisation des mises à jour des navigateurs et suites bureautiques',
            'level3_actual_label' => 'Un contrôle annuel des mises à jour des postes, navigateurs et suites bureautiques est réalisé.',
            'level1_preconized_label' => 'Automatiser les mises à jour Windows et remplacer les postes obsolètes',
            'level2_preconized_label' => 'Automatiser les mises à jour des navigateurs et suites bureautiques',
            'level3_preconized_label' => 'Contrôler annuellement les mises à jours des postes, navigateurs et suites bureautiques.',
            'level1_description' => "La collectivité s'assure : <ul><li>que chaque poste est configuré pour que Windows se mette à jour automatiquement et régulièrement.</li><li>que les postes obsolètes sont remplacés.</li></ul>",
            'level2_description' => 'Chaque poste est configuré pour que les navigateurs et les suites bureautiques se mettent à jour automatiquement et régulièrement',
            'level3_description' => "La collectivité s'assure : <ul><li>que la bonne mise à jour des postes, des navigateurs et des suites bureautiques est vérifiée au moins une fois par an.</li></ul>",
            'level1_info' => "Des mises à jour sont publiées régulièrement, il est donc conseiller d'effectuer cette action toutes les semaines.",
            'level2_info' => "Des mises à jour sont publiées régulièrement, il est donc conseiller d'effectuer cette action toutes les semaines.",
            'level3_info' => '',
            'level1_file' => null,
            'level2_file' => null,
            'level3_file' => null,
            'level0_value' => 0,
            'level1_value' => 90,
            'level2_value' => 140,
            'level3_value' => 200,
            'fundamental' => true,
        ]);


        Measure::firstOrCreate([
            'name' => 'Quelles sont les actions de sensibilisation mises en place ?',
            'short_name' => 'Sensibilisation',
            'level1_difficulty' => 1,
            'level2_difficulty' => 1,
            'level3_difficulty' => 2,
            'level1_cost' => '0',
            'level2_cost' => '0',
            'level3_cost' => '0-700€',
            'level1_duration' => '10h',
            'level2_duration' => '2J',
            'level3_duration' => '3J',
            'level1_assistance' => 1,
            'level2_assistance' => 2,
            'level3_assistance' => 2,
            'level0_actual_label' => 'Aucune ou ne sait pas',
            'level1_actual_label' => 'Les fiches pratiques Cybermalveillance sont diffusées',
            'level2_actual_label' => 'Il y a des participations à des événementiels sur la cybersécurité.',
            'level3_actual_label' => 'Une sensibilisation annuelle sur les risques du numérique et les bonnes pratiques est organisée',
            'level1_preconized_label' => 'Diffuser les fiches pratiques Cybermalveillance',
            'level2_preconized_label' => 'Participer à des événementiels locaux ou nationaux sur la cybersécurité.',
            'level3_preconized_label' => 'Sensibiliser annuellement sur les risques du numérique et les bonnes pratiques',
            'level1_description' => "La collectivité s'assure : <ul><li>que les fiches pratiques Cybermalveillance sont diffusées aux agents et élus de la collectivité.</li></ul>",
            'level2_description' => "La collectivité s'assure : <ul><li>que les agents et élus suivent régulièrement des événementiels locaux ou nationaux ayant trait à la cybersécurité.</li></ul>",
            'level3_description' => "La collectivité s'assure : <ul><li>qu'une réunion de sensibilisation annuelle sur les risques du numérique et les bonnes pratiques est organisée avec l’ensemble des agents et des élus.</li></ul>",
            'level1_info' => '',
            'level2_info' => '',
            'level3_info' => 'Selon que vous prépariez vous-même une fiche ou que vous réutilisez les ressources en ligne, l’investissement en temps ne sera pas le même.',
            'level1_file' => null,
            'level2_file' => null,
            'level3_file' => null,
            'level0_value' => 0,
            'level1_value' => 90,
            'level2_value' => 140,
            'level3_value' => 200,
            'fundamental' => true,
        ]);



        Measure::firstOrCreate([
            'name' => "Est-ce qu'un suivi des droits d'accès logique est assuré ?",
            'short_name' => "Droits d'accès logiques",
            'level1_difficulty' => 1,
            'level2_difficulty' => 1,
            'level3_difficulty' => 1,
            'level1_cost' => '0',
            'level2_cost' => '0',
            'level3_cost' => '0',
            'level1_duration' => '3J',
            'level2_duration' => '4-8h',
            'level3_duration' => '4-8h',
            'level1_assistance' => 1,
            'level2_assistance' => 2,
            'level3_assistance' => 1,
            'level0_actual_label' => 'Aucun ou ne sait pas',
            'level1_actual_label' => "Un inventaire des droits d'accès Windows, comptes de messagerie et sessions Windows est disponible",
            'level2_actual_label' => "Un inventaire des droits d'accès des applications métiers et gestion du départ des collaborateurs est disponible.",
            'level3_actual_label' => 'Un contrôle annuel des inventaires est réalisé.',
            'level1_preconized_label' => "Inventorier les droits d'accès Windows, comptes de messagerie et sessions Windows.",
            'level2_preconized_label' => "Inventorier les droits d'accès des applications métiers et gérer le départ des collaborateurs.",
            'level3_preconized_label' => 'Contrôler annuellement les inventaires.',
            'level1_description' => "La collectivité s'assure : <ul><li>qu'un inventaire des droits d'accès Windows est disponible et mis à jour une fois par an.</li><li>que les comptes de messagerie et des sessions Windows sont nominatifs.</li></ul>",
            'level2_description' => "La collectivité s'assure : <ul><li>qu'un inventaire des droits d'accès des applications métiers est disponible et mis à jour une fois par an.</li><li>que le départ des collaborateurs est géré (retrait des droits d’accès).</li></ul>",
            'level3_description' => "La collectivité s'assure : <ul><li>qu'un contrôle est réalisé une fois par an sur la base des inventaires.</li>",
            'level1_info' => "La réalisation de l'inventaire peut prendre du temps la première fois mais les mises à jours annuelles seront plus rapides à réaliser.",
            'level2_info' => "La réalisation de l'inventaire peut prendre du temps la première fois mais les mises à jours annuelles seront plus rapides à réaliser.",
            'level3_info' => '',
            'level1_file' => null,
            'level2_file' => null,
            'level3_file' => null,
            'level0_value' => 0,
            'level1_value' => 45,
            'level2_value' => 70,
            'level3_value' => 100,
            'fundamental' => false,
        ]);


        Measure::firstOrCreate([
            'name' => 'Quelle sécurité logique est mise en place ?',
            'short_name' => 'Cloisonnement réseaux',
            'level0_actual_label' => 'Aucune ou ne sait pas',
            'level1_actual_label' => 'Le pare-feu local est activé et les communications entrantes sont bloquées.',
            'level1_preconized_label' => 'Activer le pare-feu local et bloquer les communications entrantes.',
            'level1_file' => null,
            'level1_description' => 'La collectivité possède : <ul><li>un parefeu activé qui bloque les connexions entrantes</li></ul>',
            'level1_difficulty' => 1,
            'level1_cost' => '0',
            'level1_duration' => '1J',
            'level1_assistance' => 1,
            'level1_info' => '',
            'level2_actual_label' => 'Un réseau Wi-Fi dédié et isolé est réservé pour les visiteurs.',
            'level2_preconized_label' => 'Configurer un réseau Wi-Fi dédié et isolé pour les visiteurs.',
            'level2_file' => null,
            'level2_description' => 'La collectivité possède : <ul><li>un Wifi dédié et cloisonné pour les personnes extérieures</li></ul>',
            'level2_difficulty' => 1,
            'level2_cost' => '0',
            'level2_duration' => '4h',
            'level2_assistance' => 1,
            'level2_info' => "Toutes les bornes Wi-Fi ne disposent pas d'une interface d'administration, vérifiez la présence de cette fonctionalité avant approvisionnement.",
            'level3_actual_label' => 'Un réseau est réservé aux copieurs. Un tunnel VPN est configuré pour le télétravail.',
            'level3_preconized_label' => 'Configurer un réseau dédié et isolé pour les copieurs. Paramétrer un tunnel VPN pour le télétravail.',
            'level3_file' => null,
            'level3_description' => 'La collectivité possède : <ul><li>un réseau dédié et isolé pour les copieurs,</li><li>un accès VPN pour les personnes à distance</li></ul>',
            'level3_difficulty' => 3,
            'level3_cost' => '100€/poste. Boitier pare-feu dès 1500€',
            'level3_duration' => '2J',
            'level3_assistance' => 2,
            'level3_info' => 'Si vos copieurs sont en IP dynamiques, il peut être nécessaire de voir avec votre prestataire pour rentrer une IP statique.',
            'level0_value' => 0,
            'level1_value' => 45,
            'level2_value' => 70,
            'level3_value' => 100,
            'fundamental' => false,
        ]);


        Measure::firstOrCreate([
            'name' => 'De quelle manière sont anticipés les incidents cyber ?',
            'short_name' => 'Modes dégradés',
            'level1_difficulty' => 1,
            'level2_difficulty' => 1,
            'level3_difficulty' => 3,
            'level1_cost' => '0',
            'level2_cost' => '0',
            'level3_cost' => '0',
            'level1_duration' => '4h',
            'level2_duration' => '8h',
            'level3_duration' => '8h',
            'level1_assistance' => 3,
            'level2_assistance' => 2,
            'level3_assistance' => 3,
            'level0_actual_label' => 'Aucune ou ne sait pas',
            'level1_actual_label' => "Contact de Cybermalveillance, gendarmerie/police ou mon OPSN en cas d'incidents cyber.",
            'level2_actual_label' => 'Une fiche réflexe rançongiciel est affichée',
            'level3_actual_label' => 'Il existe une fiche avec les étapes clés de la reconstruction de mon SI.',
            'level1_preconized_label' => "Contacter Cybermalveillance, gendarmerie/police ou mon OPSN en cas d'incidents cyber.",
            'level2_preconized_label' => 'Afficher une fiche réflexe rançongiciel',
            'level3_preconized_label' => 'Formaliser une fiche avec les étapes clés de la reconstruction de mon SI.',
            'level1_description' => "La collectivité s'assure :<ul><li>de contacter Cybermalveillance, la gendarmerie ou la police et/ou son OPSN en cas d'incidents cyber.</li></ul>",
            'level2_description' => 'La collectivité possède : <ul><li>un document expliquant comment réagir en cas de ransomware/rançongiciel et affiché pour les agents dans la collectivité</li></ul>',
            'level3_description' => 'La collectivité possède : <ul><li>des documents sur les opérations nécessaires à la reconstruction de son système d’information (SI).</li></ul>',
            'level1_info' => '',
            'level2_info' => 'Selon que vous prépariez vous-même une fiche ou que vous réutilisez les ressources en ligne, l’investissement en temps ne sera pas le même.',
            'level3_info' => '',
            'level1_file' => null,
            'level2_file' => null,
            'level3_file' => null,
            'level0_value' => 0,
            'level1_value' => 45,
            'level2_value' => 70,
            'level3_value' => 100,
            'fundamental' => false,
        ]);

        Measure::firstOrCreate([
            'name' => 'Quelle sécurité logicielle est mise en place ?',
            'short_name' => 'AV et outils complémentaires',
            'level0_actual_label' => 'Aucune ou ne sait pas',
            'level1_actual_label' => 'Un antivirus professionnel avec mises à jour est installé sur tous les postes',
            'level1_preconized_label' => 'Installer un antivirus professionnel à jour sur tous les postes',
            'level1_file' => null,
            'level1_description' => 'La collectivité possède : <ul><li>un antivirus professionnel à jour sur chaque poste</li></ul>',
            'level1_difficulty' => 1,
            'level1_cost' => '20€/poste/an , 50€/serveur/an',
            'level1_duration' => '2-5J',
            'level1_assistance' => 1,
            'level1_info' => 'Le coût varie selon le type de matériel à protéger (serveur ou poste)',
            'level2_actual_label' => 'Un antivirus professionnel à jour avec options complémentaires est installé sur tous les postes',
            'level2_preconized_label' => 'Installer un antivirus professionnel avec options complémentaires à jour sur tous les postes',
            'level2_file' => null,
            'level2_description' => 'La collectivité possède : <ul><li>un antivirus professionnel (avec module complémentaires filtrage web, anti-hameçonnage, renforcement des transactions) à jour sur chaque poste</li></ul>',
            'level2_difficulty' => 1,
            'level2_cost' => '60€/poste/an , 100€/serveur/an',
            'level2_duration' => '2-5J',
            'level2_assistance' => 1,
            'level2_info' => 'Le coût varie selon le type de matériel à protéger (serveur ou poste)',
            'level3_actual_label' => 'Il y a une vérification annuelle des alertes. La collectivité possède son serveur DNS.',
            'level3_preconized_label' => 'Vérifier les alertes au moins une fois par an. Disposer de son propre serveur DNS.',
            'level3_file' => null,
            'level3_description' => "La collectivité s'assure :  <ul><li>que les alertes sont vérifiées annuellement, </li><li>qu'elle a son propre serveur DNS.</li></ul>",
            'level3_difficulty' => 2,
            'level3_cost' => 'Modérée',
            'level3_duration' => 'Modérée',
            'level3_assistance' => 2,
            'level3_info' => '',
            'level0_value' => 0,
            'level1_value' => 45,
            'level2_value' => 70,
            'level3_value' => 100,
            'fundamental' => false,
        ]);


        Measure::firstOrCreate([
            'name' => "Est-ce qu'un suivi des contrats et prestataires existe ?",
            'short_name' => 'Contrats',
            'level0_actual_label' => 'Aucun ou ne sait pas',
            'level1_actual_label' => 'Un inventaire des contrats est disponible',
            'level1_preconized_label' => 'Inventorier les contrats.',
            'level1_file' => null,
            'level1_description' => 'La collectivité possède : <ul><li>Un inventaire des contrats mis à jour une fois par an</li></ul>',
            'level1_difficulty' => 1,
            'level1_cost' => '0',
            'level1_duration' => '7h',
            'level1_assistance' => 1,
            'level1_info' => '',
            'level2_actual_label' => 'Les contrats sensibles au niveau SSI sont identifés',
            'level2_preconized_label' => 'Identifier les contrats sensibles au niveau SSI',
            'level2_file' => null,
            'level2_description' => "La collectivité s'assure : <ul><li>que les contrats les plus sensibles au niveau de la sécurité du système d’information (SSI) sont identifiés.</li></ul>",
            'level2_difficulty' => 1,
            'level2_cost' => '0',
            'level2_duration' => '7h',
            'level2_assistance' => 3,
            'level2_info' => '',
            'level3_actual_label' => 'Des règles de sécurités minimales sont imposées aux prestataires sensibles.',
            'level3_preconized_label' => 'Imposer des règles de sécurités minimales aux prestataires sensibles.',
            'level3_file' => null,
            'level3_description' => "La collectivité s'assure : <ul><li>que les règles de sécurités minimales sont imposées aux prestataires sensibles.</li></ul>",
            'level3_difficulty' => 1,
            'level3_cost' => '0-1000€',
            'level3_duration' => '5J',
            'level3_assistance' => 3,
            'level3_info' => '',
            'level0_value' => 0,
            'level1_value' => 45,
            'level2_value' => 70,
            'level3_value' => 100,
            'fundamental' => false,
        ]);


        Measure::firstOrCreate([
            'name' => "Comment le système d'information est-il décrit ?",
            'short_name' => 'Plan informatique',
            'level1_difficulty' => 1,
            'level2_difficulty' => 1,
            'level3_difficulty' => 1,
            'level1_cost' => '0',
            'level2_cost' => '0',
            'level3_cost' => '0',
            'level1_duration' => '3h',
            'level2_duration' => '8h',
            'level3_duration' => '3h',
            'level1_assistance' => 2,
            'level2_assistance' => 2,
            'level3_assistance' => 2,
            'level0_actual_label' => 'Aucun ou ne sait pas',
            'level1_actual_label' => 'Un inventaire des équipements informatiques est disponible et mis à jour annuellement',
            'level2_actual_label' => "Un schéma d'implantation par bâtiment est disponible et mis à jour annuellement",
            'level3_actual_label' => 'Un schéma réseau est disponible et mis à jour annuellement',
            'level1_preconized_label' => 'Inventorier les équipements informatiques',
            'level2_preconized_label' => "Disposer d'un schéma d'implantation par bâtiment",
            'level3_preconized_label' => "Disposer d'un schéma réseau",
            'level1_description' => 'La collectivité possède : <ul><li>un inventaire des équipements informatiques mis à jour une fois par an.</li></ul>',
            'level2_description' => "La collectivité possède : <ul><li>un schéma d'implantation par bâtiment mis à jour une fois par an.</li></ul>",
            'level3_description' => 'La collectivité possède : <ul><li>un schéma réseau mis à jour une fois par an</li></ul>',
            'level1_info' => '',
            'level2_info' => '',
            'level3_info' => '',
            'level1_file' => null,
            'level2_file' => null,
            'level3_file' => null,
            'level0_value' => 0,
            'level1_value' => 45,
            'level2_value' => 70,
            'level3_value' => 100,
            'fundamental' => false,
        ]);


        /*
        Measure::firstOrCreate([
            'name' => "",
            'short_name' => Str::slug(""),
            'level1_difficulty'=> "",
            'level2_difficulty'=> "",
            'level3_difficulty'=> "",
            'level1_cost'=> "",
            'level2_cost'=> "",
            'level3_cost'=> "",
            'level1_duration'=> "",
            'level2_duration'=> "",
            'level3_duration'=> "",
            'level1_assistance'=> "",
            'level2_assistance'=> "",
            'level3_assistance'=> "",
            'level0_actual_label' => "",
            'level1_actual_label'=> "",
            'level2_actual_label'=> "",
            'level3_actual_label'=> "",
            'level1_preconized_label'=> "",
            'level2_preconized_label'=> "",
            'level3_preconized_label'=> "",
            'level1_description'=> "",
            'level2_description'=> "",
            'level3_description'=> "",
            'level1_info'=> "",
            'level2_info'=> "",
            'level3_info'=> "",
            'level1_file'=> "",
            'level2_file'=> "",
            'level3_file'=> "",
        ]);
        */
    }
}
